/**
    en: ScryDB abstract base class.
	zh: ScryDB抽象类.
    @author Danny Yan
    @date 2017-07
*/
function ScryDBBase() {
}

/**
    en: Connet db
    zh: 连接到'数据库'
    @param url string.
    @param callback function.
*/
ScryDBBase.prototype.connect = function(url, callback) {

};

/**
    en: Get data by key.
    zh: 通过key获取数据
    @param key string.
    @param callback function.
*/
ScryDBBase.prototype.get = function(key, callback) {
	
};


/**
    en: Set value.
    zh: 设置数据value
    @param value any.
    @param callback function.
*/
ScryDBBase.prototype.set = function(value, callback) {
	
};

/**
    en: Execute sql.
    zh: 执行sql.
    @param sql string.
    @param callback function.
    @param operator string.
*/
ScryDBBase.prototype.exec = function(sql, callback, operator) {

};

module.exports = ScryDBBase;